
Redmine - Defect #32973

Editing a time entry for a locked user changes the user to the current user
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed Affected version: 4.1.0

Description

Steps to reproduce:

1. Add a time entry for another user (B)

2. Lock that user (B)

3. Edit the time entry

4. Observe that field User is selected with "me".
Saving the time entry, it will lose the user.

Related issues:

Related to Redmine - Feature #3848: Permission to log time for another user Closed 2009-09-11

Related to Redmine - Defect #33341: Time entry user is shown twice in the Use... Closed

Associated revisions

Revision 19651 - 2020-04-05 10:21 - Jean-Philippe Lang

Editing a time entry for a locked user changes the user to the current user (#32973).

Patch by Marius BALTEANU.

Revision 19652 - 2020-04-05 10:22 - Jean-Philippe Lang

Reorder and rename test added in r19651 (#32973).

Patch by Marius BALTEANU.

Revision 19657 - 2020-04-05 11:47 - Jean-Philippe Lang

Merged r19651 and r19652 to 4.1-stable (#32973).

History

#1 - 2020-02-08 22:02 - Marius BĂLTEANU

- Related to Feature #3848: Permission to log time for another user added

#2 - 2020-02-08 22:13 - Marius BĂLTEANU

I see two options to fix this:

1. We don't allow changing the user when the time entry is logged on a locked user.

2. We add the locked user to the list of users.

#3 - 2020-02-09 01:04 - Go MAEDA

Marius BALTEANU wrote:

I see two options to fix this:

1. We don't allow changing the user when the time entry is logged on a locked user.

2. We add the locked user to the list of users.

 I think the second option is better because the limitation suggested in option 1 may confuse users. In my opinion, there is no reason to disallow
changing the user when the user of the time entry is locked.

#4 - 2020-02-09 15:32 - Marius BĂLTEANU

- File 0002-Reorder-and-rename-test-added-in-32959.patch added

- File 0001-Allow-editing-a-time-entry-logged-on-a-locked-user.patch added

- Assignee deleted (Marius BĂLTEANU)

Here is the fix for the second option, but I would like a double check on the solution. The second patch renames and reorders the test added in 

#32959.

All tests pass: https://gitlab.com/redmine-org/redmine/pipelines/116292306

#5 - 2020-04-05 11:47 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed and merged, thanks!

#6 - 2020-04-22 16:18 - Go MAEDA

- Related to Defect #33341: Time entry user is shown twice in the User drop-down when editing spent time added
